package llc.arma.ble.data.db

import androidx.room.AutoMigration
import androidx.room.Database
import androidx.room.RoomDatabase
import llc.arma.ble.data.model.BleNameEntity
import llc.arma.ble.data.model.RotationEntity
import llc.arma.ble.data.model.WheelEntity

@Database(
    entities = [RotationEntity::class, WheelEntity::class, BleNameEntity::class],
    version = 2,
    autoMigrations = [
        AutoMigration (from = 1, to = 2)
    ]
)
abstract class AppDatabase : RoomDatabase() {

    abstract fun getRotationsDao(): RotationsDao

    abstract fun getBleNamesDao(): BleNameDao

}